Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2202 - RPM 2.93 fails to compile on Solaris2.6 on ultrasparc
Summary: RPM 2.93 fails to compile on Solaris2.6 on ultrasparc
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: rpm
Version: 1.0
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-04-15 20:58 UTC by bugge
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-04-17 17:18:01 UTC


Attachments (Terms of Use)

Description bugge 1999-04-15 20:58:10 UTC
RPM 2.93 fails to compile on an ultrasparc machine running
Solaris 2.6 due to lib/transaction.c using statfs calls
which mis-match those in Linux.  Solaris is moving to
statvfs which does match the statfs calls in Linux.  I have
a patch against configure.in and lib/transaction.c that will
fix the problem (uses sys/statvfs.h and struct statvfs in
the offending routine call) and will post it as soon as I
can get a bug id to send the patch against.

Comment 1 bugge 1999-04-15 21:02:59 UTC
Patch file has been generated and submitted to bugzilla

Comment 2 bugge 1999-04-15 21:13:59 UTC
You'd think by now I would actually test EVERYTHING before I submitt
patches... second email err make that the third email fixes the
aclocal file and the actual call tot he function in transactions.c

Comment 3 bugge 1999-04-15 21:19:59 UTC
Send the patch to jbj@redhat.com if bugzilla failsYou'd think by now I would actually test EVERYTHING before I submitt
patches... second email err make that the third email fixes the
aclocal file and the actual call tot he function in transactions.c

Comment 4 Cristian Gafton 1999-04-16 01:13:59 UTC
assigned to jbj

Comment 5 Jeff Johnson 1999-04-17 17:18:59 UTC
Fixed in rpm-2.95 something.


Note You need to log in before you can comment on or make changes to this bug.